No sound on Dell Optiplex 380 (ALC269Q, probably new chip)

Bug #582199 reported by Marcus Paiva on 2010-05-18
122
This bug affects 20 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Medium
David Henningsson
Nominated for Lucid by Aristotelis Mikropoulos
Nominated for Maverick by Aristotelis Mikropoulos
linux (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Aristotelis Mikropoulos
Nominated for Maverick by Aristotelis Mikropoulos

Bug Description

No sound on Dell Optiplex 380.

=== Current workaround for Lucid ===

https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

======
There is a corresponding bug #588031 for Dell Optiplex 980.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic i686
AlsaVersion:
 Advanced Linux Sound Architecture Driver Version 1.0.23.
 Compiled on May 17 2010 for kernel 2.6.32-22-generic (SMP).
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC259 Analog [ALC259 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC259 Analog [ALC259 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: LASALLE\marcus.carneiro 2337 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe6fc000 irq 27'
   Mixer name : 'Realtek ALC259'
   Components : 'HDA:10ec0269,10280400,00100100'
   Controls : 13
   Simple ctrls : 9
CheckboxSubmission: 909058df7c16ca0950e2752cf30446b9
CheckboxSystem: 2a6f54df59af338184485e85cbcf0d32
Date: Tue May 18 08:00:32 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=pt_BR:pt:en
 LANG=pt_BR.UTF-8
 SHELL=/bin/bash
SelectedCard: 0 Intel HDA-Intel - HDA Intel
SourcePackage: alsa-driver
Symptom: audio
Title: [Realtek ALC259] ALSA test tone not correctly played back
dmi.bios.date: 10/23/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A00
dmi.board.name: 0HN7XN
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA00:bd10/23/2009:svnDellInc.:pnOptiPlex380:pvr:rvnDellInc.:rn0HN7XN:rvrA00:cvnDellInc.:ct3:cvr:
dmi.product.name: OptiPlex 380
dmi.sys.vendor: Dell Inc.
---
AlsaVersion:
 Advanced Linux Sound Architecture Driver Version 1.0.23.
 Compiled on May 21 2010 for kernel 2.6.32-22-generic (SMP).
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC259 Analog [ALC259 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC259 Analog [ALC259 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: LASALLE\marcus.carneiro 1870 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe6fc000 irq 27'
   Mixer name : 'Realtek ALC259'
   Components : 'HDA:10ec0269,10280400,00100100'
   Controls : 13
   Simple ctrls : 9
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
Package: alsa-driver (not installed)
ProcEnviron:
 LANGUAGE=pt_BR:pt:en
 PATH=(custom, no user)
 LANG=pt_BR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Tags: lucid
Uname: Linux 2.6.32-22-generic i686
UserGroups:

dmi.bios.date: 03/11/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A01
dmi.board.name: 0HN7XN
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA01:bd03/11/2010:svnDellInc.:pnOptiPlex380:pvr:rvnDellInc.:rn0HN7XN:rvrA00:cvnDellInc.:ct3:cvr:
dmi.product.name: OptiPlex 380
dmi.sys.vendor: Dell Inc.

Marcus Paiva (mpaivac) wrote :
Daniel T Chen (crimsun) wrote :

What's the output from:

COLUMNS=200 dpkg -l linux-alsa-driver-modules-\*|grep ^ii

pactl stat

Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Marcus Paiva (mpaivac) wrote :

$ COLUMNS=200 dpkg -l linux-alsa-driver-modules-\*|grep ^ii
Nenhum pacote encontrado casando com linux-alsa-driver-modules-*.
 (No package found)

pactl stat
Em uso no momento: 1 blocos contendo 64,0 KiB bytes no total.
Alocado por todo o tempo: 209 blocos contendo 5,4 MiB bytes no total.
Tamanho do cache para amostragem: 0 B
Nome do usuário: suporteabl
Nome da máquina: INF01ABL-NEW
Nome do servidor: pulseaudio
Versão do servidor: 0.9.21-63-gd3efa-dirty
Especificação padrão de amostragem: s16le 2ch 44100Hz
Mapa de canais padrão: front-left,front-right
Destino padrão: alsa_output.pci-0000_00_1b.0.analog-stereo
Fonte padrão alsa_input.pci-0000_00_1b.0.analog-stereo
Cookie: bc0b4a5a

Daniel T Chen (crimsun) wrote :

Ah, so you're using a self-compiled 1.0.23? That's kinda old. Please uninstall it, and install linux-alsa-driver-modules-$(uname -r) from the ppa:ubuntu-audio-dev instead.

Marcus Paiva (mpaivac) wrote :

I ve installed it and still no sound.

COLUMNS=200 dpkg -l linux-alsa-driver-modules-\*|grep ^ii
ii linux-alsa-driver-modules-2.6.32-22-generic 2.6.32-22.201005180600
Ubuntu-supplied Linux modules for version 2.6.32-22-generic ALSA snapshots

do i have to enable module now?

Thimindu (thimindu) wrote :

I've got the same problem.
It worked fine in 9.10. Hasn't worked since I upgraded to 10.04.
I do get very faint audio when the volume is increased to maximum through the amplifier.

Note: My PC is not a Dell Optiplex. It's self assembled.

David Henningsson (diwic) wrote :

@Thimindu: Please file a separate bug.

sunny (kaliagaurav) wrote :

I am facing the same problem. Ubuntu 9.10 was working fine but after Up gradation to 10.04, sound is not working at all.

System: Dell Optiplex 380

jaezcurra (jaezcurra) wrote :

Same problem in same type of machine (5 Dell Optiplex 380 at work, all with fresh install of Lucid). Never got sound from the pc (at work we have another 6 Dell Optiplex 380 with Windows XP and sound works out of the box).

COLUMNS=200 dpkg -l linux-alsa-driver-modules-\*|grep ^ii
No se ha encontrado ningún paquete que corresponda con linux-alsa-driver-modules-*.

merche@pcmerche:~$ pactl stat
Actualmente en uso: 1 bloques conteniendo 64,0 KiB bytes en total.
Ubicados durante a lo largo del tiempo: 85 bloques conteniendo 2,6 MiB bytes en total.
Tamaño de la caché de muestra: 0 B
Nombre de usuario: merche
Nombre del equipo: pcmerche
Nombre del servidor: pulseaudio
Versión del servidor: 0.9.21-63-gd3efa-dirty
Especificación de muestra predeterminada: s16le 2ch 44100Hz
Mapa de canal predeterminado: front-left,front-right
Destino predeterminado: alsa_output.pci-0000_00_1b.0.analog-stereo
Fuente predeterminada: alsa_input.pci-0000_00_1b.0.analog-stereo
Cookie: 9279edb1

Same problem here, upgraded from xubuntu 9.10 to xubuntu 10.4 and have no sound except for internal system bleeps from the internal speaker. Sound was working fine before.

I have some sort of onboard sound card. I've been checking the forums for a fix and found that some people had to custom compile a kernel to fix the issue. Lots of people having this issue I think.

Alsamixer sees that I have a realtek sound card but the sound applet in the notification area does not have this in its hardware tab.

Oh I've installed ubuntu-desktop on my xubuntu install.

xisongda (xisongda) wrote :

I installed lucid newly with live CD.
I get the same problem that the computer has no sound at all.

David Henningsson (diwic) wrote :

I'm glad that you all show interest in Ubuntu and want the sound to work. And the more testing we can get, the better.

However, users not having exactly the same hardware and software are not guaranteed to suffer from the same bug, and in that case it is better to file a separate bug using "ubuntu-bug audio" or similar tools. Please do that instead of posting "me too" comments, which are not helpful. Thank you!

Rhys (rhys-rhaven) wrote :

2 Shiny new Dell 380s here at work (for me and the other SysAdmin) and sound doesn't work. According to this, nobody has gotten it working even when upgrading. http://ubuntuforums.org/showthread.php?t=1473652

@David, You said you don't want "me too" posts. Is there any more debugging information we can provide to help this problem? The other admin hasn't unpacked his yet, so I could probably install ubuntu on it and set up an SSH tunnel for any dev who needs it, as its currently completely clean.

jaezcurra (jaezcurra) wrote :

I support Rhys and, as I cannot offer a computer to let the devs work on it through an SSH tunnel, however I am looking forward to doing the tests that could be convenient to achieve the goal of making sound work on a Dell Optiplex 380 running Lucid.

Marcus Paiva (mpaivac) wrote :

If it helps, i can enable SSH Internet connection on my Dell Optiplex 380 workstation. So, Devs could work on that.

jaezcurra (jaezcurra) wrote :

OK, I am able to offer one of our Lucid Dell Optiplex 380s to the devs to work on it through an SSH tunnel during our spare time (it would be free for them from 3 PM until 7 AM, CET)

jaezcurra (jaezcurra) wrote :

If it can help: I tried both Fedora 13 Live CD and Puppy Linux 5.0 (both with a 2.6.33 kernel and AlsaMixer v1.0.22) on a Dell Optiplex 380 and there is no sound at all, either.

David Henningsson (diwic) wrote :

Okay, so we can probably conclude that the audio is not working on Dell Optiplex 380.

I'm not an expert on this just yet, but I'm writing down some notes of what I can see:

First; According to Dell's datasheet, the codec chip is "ALC269Q", something I don't see in the Linux sources. Also there is no sign of "dell" on alc269.
So my guess is that Dell Optiplex 380 is a relatively new computer, whose audio has never worked on any Linux distro. Is this correct or has the same computer audio working on earlier Ubuntu releases?

Looking at dmesg, I find this row: ALC269: SKU not ready 0x411111f0. I'm not sure what SKU means, @Daniel T Chen, do you know? Anyway, it seems to look at a specific widget node, which is probably a different node for this chip, but I'm not sure what alc_auto_parse_customize_define actually is supposed to do, and why.

Also, if I look at the codec proc file through codecgraph, I see that it looks terribly misconfigured. One should take hda-analyzer and tweak some settings to see if that actually makes things work.

Changed in alsa-driver (Ubuntu):
status: Incomplete → Confirmed
summary: - [Realtek ALC259] ALSA test tone not correctly played back
+ No sound on Dell Optiplex 380 (ALC269Q, probably new chip)
David Henningsson (diwic) wrote :

Also; I assume that playback and recording appears - from the computer side - to be working - but only silence is recorded and only silence is heard, right?

Anyway; here's what it looks like you need to do to get some playback (if we're lucky! This is likely a new model and might require additional code) :
1) Download and start hda-analyzer, see http://www.alsa-project.org/main/index.php/HDA_Analyzer
2) Go to pin 0x1A (should be "headphone out"), and make sure the mixer 0x0C is active in the connection list.
3) Go to pin 0x1B (should be "line out"), and make sure the mixer 0x0C is active in the connection list.

Close hda-analyzer and retry playback. The first one of you who does this (and has Dell Optiplex 380, of course!), please report back whether it worked or not, and regardless of whether it worked or not, also run "apport-collect 582199".

Assuming this works, we can then go on trying to get the mic up and running as well, and then try to get the new feature into the Linux kernel.

Thanks in advance.

jaezcurra (jaezcurra) wrote :

Hi David, IT WORKS!!!!!!!
To have pin 0x1a and pin 0x1b with mixer 0x0c as active, I had first to set it active, revert, open HDAAnalyzer again, set it active again and close it without revert.
Now I am going to run "apport-collect 582199"

jaezcurra (jaezcurra) wrote :

Hi David, the changes are not persistent and they have to be done each time you restart the computer. But IT definitely WORKS!!!
BTW, I ran "apport-collect 582199" and got a message rejecting me as not being an authorized person to do so.

David Henningsson (diwic) wrote :

@jaezcurra: Cool! :-) Once we have the best configuration up and running, we'll work on making the changes more persistent. So the next step would be to verify recording, both from mic, line, and possibly other sources. I'll get back to you with more HDA-analyzer stuff for that later (can't check it right now).
Until then, please file a separate bug using "ubuntu-bug alsa-driver" and mark that bug as a duplicate of this one (or just point me there). This is just to verify that you have exactly the same hardware as the original reporter of this bug. Thanks!

Marcus Paiva (mpaivac) wrote :

It Works !

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

jaezcurra (jaezcurra) wrote :

@ David, I filed a new bug: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/586813, as a duplicate of this one; just stating the combination of Lucid and Dell Optiplex 380.
BTW, I will be out of reach until next Monday morning (CET). Have a nice weekend and ... lots of luck!

David Henningsson (diwic) wrote :

Next step: Trying a patch file.

I'm attaching a patch file, please put the file in the /lib/firmware directory. After that, add this line to /etc/modprobe.d/alsa-base.conf:
options snd-hda-intel patch=optiplex-380-patch.snd-hda-intel.fw

(If there is already a line starting with "options snd-hda-intel", add "patch=optiplex-380-patch.snd-hda-intel.fw" to that line rather than having two separate lines.)

Then reboot. The card should now be functioning from start without having to use hda-analyzer.

In addition, I think that BIOS has mislabeled Line In as an additional Mic input. In the patch file, there is a command that tries to override this mislabeling. Could you please confirm that
1) You have "Line in" and "Front mic in" to choose from as input
2) Recording from both line in and front mic work as expected.

Thank you!

Changed in alsa-driver (Ubuntu):
assignee: nobody → David Henningsson (diwic)
importance: Undecided → Medium
status: Confirmed → In Progress
Download full text (5.4 KiB)

Hi David,
Thank you for your email
Will try tomorrow and let you know.
Best regards.
Jose-Angel Ezcurra

On Sun, May 30, 2010 at 1:13 PM, David Henningsson <
<email address hidden>> wrote:

> Next step: Trying a patch file.
>
> I'm attaching a patch file, please put the file in the /lib/firmware
> directory. After that, add this line to /etc/modprobe.d/alsa-base.conf:
> options snd-hda-intel patch=optiplex-380-patch.snd-hda-intel.fw
>
> (If there is already a line starting with "options snd-hda-intel", add
> "patch=optiplex-380-patch.snd-hda-intel.fw" to that line rather than
> having two separate lines.)
>
> Then reboot. The card should now be functioning from start without
> having to use hda-analyzer.
>
> In addition, I think that BIOS has mislabeled Line In as an additional Mic
> input. In the patch file, there is a command that tries to override this
> mislabeling. Could you please confirm that
> 1) You have "Line in" and "Front mic in" to choose from as input
> 2) Recording from both line in and front mic work as expected.
>
> Thank you!
>
> ** Attachment added: "optiplex-380-patch.snd-hda-intel.fw"
>
> http://launchpadlibrarian.net/49352398/optiplex-380-patch.snd-hda-intel.fw
>
> ** Changed in: alsa-driver (Ubuntu)
> Importance: Undecided => Medium
>
> ** Changed in: alsa-driver (Ubuntu)
> Status: Confirmed => In Progress
>
> ** Changed in: alsa-driver (Ubuntu)
> Assignee: (unassigned) => David Henningsson (diwic)
>
> --
> No sound on Dell Optiplex 380 (ALC269Q, probably new chip)
> https://bugs.launchpad.net/bugs/582199
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “alsa-driver” package in Ubuntu: In Progress
>
> Bug description:
> No sound on Dell Optiplex 380.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-22-generic i686
> AlsaVersion:
> Advanced Linux Sound Architecture Driver Version 1.0.23.
> Compiled on May 17 2010 for kernel 2.6.32-22-generic (SMP).
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC259 Analog [ALC259 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC259 Analog [ALC259 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: LASALLE\marcus.carneiro 2337 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfe6fc000 irq 27'
> Mixer name : 'Realtek ALC259'
> Components : 'HDA:10ec0269,10280400,00100100'
> Controls : 13
> Simple ctrls : 9
> CheckboxSubmission: 909058df7c16ca0950e2752cf30446b9
> CheckboxSystem: 2a6f54df59af338184485e85cbcf0d32
> Date: Tue May 18 08:00:32 2010
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=pt_BR:pt:en
> LANG=pt_BR.UTF-8
> SHELL=/bin/bash
> SelectedCard: 0 Intel HDA-Intel - HDA I...

Read more...

lordmayo (mayomayomayo) wrote :

hi David you're a life-saver with the hda-analyzer solution - i'd buy you a yacht if i had the cash.
installed the ".fw" patch in /lib/firmware, modified last line of alsa-base.conf, all to no effect. i'm running lucid lynx on optiplex 380.

Forrest Yu (forrest) wrote :

hi David, your hda-analyzer solution works, but the ".fw" patch doesn't. I have a work-around:
1. download hda-verb-0.3.tar.gz from ftp://ftp.kernel.org/pub/linux/kernel/people/tiwai/misc/hda-verb/ and compile it
2. add two lines in /etc/rc.local
                                /path/to/hda-verb /dev/snd/hwC0D0 0x1a 0x701 0
                                /path/to/hda-verb /dev/snd/hwC0D0 0x1b 0x701 0
3. reboot, and you can hear the sound from GDM

I admit this is ugly, but it makes sound work automatically.

Hopefully it is helpful when the ".fw" patch fails.

Forrest Yu (forrest) wrote :

(sorry the post above looks bad, so I re-post it)

hi David, your hda-analyzer solution works, but the ".fw" patch doesn't. I have a work-around:
1. goto ftp://ftp.kernel.org/pub/linux/kernel/people/tiwai/misc/hda-verb/
    download hda-verb-0.3.tar.gz and compile it
2. add two lines in /etc/rc.local
    /path/to/hda-verb /dev/snd/hwC0D0 0x1a 0x701 0
    /path/to/hda-verb /dev/snd/hwC0D0 0x1b 0x701 0
3. reboot, done.

I admit this is ugly, but it makes sound work automatically.

Hopefully it is helpful when the ".fw" patch fails.

David Henningsson (diwic) wrote :

Thanks for the feedback, it shows that the verbs are correct, but probably the fw file is never loaded. It is the first time I write such a patch file, so I'm still learning. I'll do more research and get back to you.

Marcus Paiva (mpaivac) wrote :

hi.

only hda-analyser works for me.

Forrest Yu solution doesn't work.

Marcus Paiva (mpaivac) wrote :

sory, my fault;

Yu solution works !

i had put path /opt/hda-verb and not /opt/hda-verb/hda-verb (to file)

Thank you.

description: updated
description: updated
Changed in alsa-driver (Ubuntu):
status: In Progress → Incomplete
49 comments hidden view all 129 comments
David Henningsson (diwic) wrote :

@birdflesh: Could you please try to turn up the volume control "Front" and see if that helps? Do that by starting "alsamixer" in a terminal window.

(It should have been turned on by default though.)

David Henningsson (diwic) wrote :

Just a note: If you're seeing "model 'optiplex' is selected for config" in your dmesg, you're trying out my model patch.
If you're seeing "BIOS auto-probing" in your dmesg output, you're *not*.

danilopopeye (danilopopeye) wrote :

Hi, i just updated to 10.04 from 9.10 and got the same issue, tried the workaround and no luck.
Then I started to read all the comments and get the hda-analyzer solution that seems to work for some guys,
but the script doesn't work for me. Here's the log:

danilo@ds-r7:/tmp$ sudo python run.py Using temporary directory: /dev/shm/hda-analyzer
You may remove this directory when finished or if you like to
download the most recent copy of hda-analyzer tool.
Downloading file hda_analyzer.py
Downloading file hda_guilib.py
Downloading file hda_codec.py
Downloading file hda_proc.py
Downloading file hda_graph.py
Downloading file hda_mixer.py
Downloaded all files, executing hda_analyzer.py
Traceback (most recent call last):
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 483, in <module>
    sys.exit(main(sys.argv))
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 460, in main
    if read_nodes(sys.argv[1:]) == 0:
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 89, in read_nodes
    read_nodes2(c.card, i)
  File "/dev/shm/hda-analyzer/hda_analyzer.py", line 69, in read_nodes2
    c.analyze()
  File "/dev/shm/hda-analyzer/hda_codec.py", line 1076, in analyze
    self.nodes[nid] = HDANode(self, nid)
  File "/dev/shm/hda-analyzer/hda_codec.py", line 447, in __init__
    self.reread()
  File "/dev/shm/hda-analyzer/hda_codec.py", line 509, in reread
    self.amp_caps_in = HDAAmpCaps(self.codec, self.nid, HDA_INPUT)
  File "/dev/shm/hda-analyzer/hda_codec.py", line 244, in __init__
    self.reread()
  File "/dev/shm/hda-analyzer/hda_codec.py", line 255, in reread
    ccaps.clone(self)
  File "/dev/shm/hda-analyzer/hda_codec.py", line 266, in clone
    ampcaps.nsteps = self.steps
AttributeError: HDAAmpCaps instance has no attribute 'steps'

Any ideas !?

birdflesh (birdflesh) wrote :

Nope, definitely not working for me (everything in alsamixer is umuted and set at almost top values). It seems that it works for the 980 guys which is good though. I would like to hear something from someone else with a 380 to be sure.

David Henningsson (diwic) wrote :

@birdflesh: Have you tried both line-out and headphones? I can't see anything wrong in your alsa-info except for the front volume being zero.

birdflesh (birdflesh) wrote :

Front (and also master, headphones, pcm) is unmuted by default and at a high volume. I'm trying both line out on the back and headphones jack on the front and I get no sound on both. Anyone else to verify on an optiplex 380?

Gary Phillips (tivo-overo) wrote :

I've been through this whole thread now. New Optiplex 380, Xubuntu 10.04 installed. The "no sound" reports may not be quite accurate as I find that there is sound but it is coming out of the internal PC speaker. Barely audible even with all volume levels set to max. The sound chip is identified as ALC269Q in dmesg.

I tried the "hda-verb" fix, but it made no difference.

The "HDA-analyzer" fix does turn on the sound to the line out (rear, green) and headphone (front panel) jacks.

What HDA-analyzer shows on startup is that the headphone jack is connected to the second mixer, while the line out is connected to the first. Switching the headphone jack over to the same mixer as the line out seems to be what activates the sound.

I tried running apport-collect as requested but launchpad denied permission to report the results, saying that the problem "is closed." I don't know what's up with that, as it's obviously still open.

Gary Phillips (tivo-overo) wrote :

Correction to #96:

The "hda-verb" fix does work. The apparent failure was due to a second issue, where /etc/rc.local does not execute on startup.

That was resolved by removing the "-e" at the top, and adding "/bin/sleep 10" as the first executable command. Now the sound works on both front and rear connectors after "hda-verb" changes the mixer settings.

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: bill 1432 F.... pulseaudio
                      bill 1721 F.... OUTLOOK.EXE
 /dev/snd/pcmC0D0p: bill 1432 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xff87c000 irq 16'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,102802da,00100100'
   Controls : 12
   Simple ctrls : 8
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427.1)
NonfreeKernelModules: nvidia
Package: alsa-driver (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-24.38-generic 2.6.32.15+drm33.5
Tags: lucid
Uname: Linux 2.6.32-24-generic x86_64
UserGroups:

dmi.bios.date: 02/16/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A01
dmi.board.name: 0D441T
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 6
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA01:bd02/16/2010:svnDellInc.:pnOptiPlex980:pvr:rvnDellInc.:rn0D441T:rvrA01:cvnDellInc.:ct6:cvr:
dmi.product.name: OptiPlex 980
dmi.sys.vendor: Dell Inc.

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Martin Lopez (lennon-mexico) wrote :

Hi David,

I spent 2 days to find out a solution for this issue, but as other said: You're a lifesaver. I just migrate from windows to linux in my PC office. it's better to work with linux than windows. now the life is beautiful again :D.

Thanks.

David Henningsson (diwic) wrote :

Okay, a new one to try for you: Uninstall the others, install http://people.canonical.com/~diwic/temp/alsa-intel-hda-optiplex-dkms_1.0.23_all.deb and reboot.

tags: added: alc269
Marcus Paiva (mpaivac) wrote :

Hi,

solution #107 worked !!!!!
(alsa-intel-hda-optiplex-dkms_1.0.23_all.deb)

Thank You !

birdflesh (birdflesh) wrote :

It works. No auto-muting though.

David Henningsson (diwic) wrote :

@birdflesh: According to your BIOS, you have an internal speaker, and that one should get muted, but not the line-out. Looking at the code, this seems like a design decision that if you have both speaker, line-out and hp-out, hp-out only mutes the speaker.

description: updated
Changed in alsa-driver (Ubuntu):
status: Incomplete → Fix Committed
Changed in linux (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-14.20

---------------
linux (2.6.35-14.20) maverick; urgency=low

  [ Andy Whitcroft ]

  * update Vcs-Git to point to maverick repo
  * debian -- include the debian packaging in the -source package
    - LP: #608674
  * select debian source format 1.0
  * add support for building selected stages of kernel
    - LP: #603087
  * cleanup conditional dependancy handling
    - LP: #603087

  [ Upstream Kernel Changes ]

  * ALSA: hda - Handle missing NID 0x1b on ALC259 codec
    - LP: #582199, #586418, #588031
  * ALSA: hda - Handle pin NID 0x1a on ALC259/269
    - LP: #582199, #586418, #588031
  * sched: Revert nohz_ratelimit() for now
 -- Leann Ogasawara <email address hidden> Tue, 03 Aug 2010 08:46:47 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
description: updated
Changed in alsa-driver (Ubuntu):
status: Fix Committed → Fix Released

Please release the fix as an update in Lucid, as the bug renders a DELL OPTIPLEX 380 system with Ubuntu, almost useless. Thanks a lot.

David Henningsson (diwic) wrote :

@Aristotelis, it is likely to reach Lucid, but the time frame depends on upstream. If you want Ubuntu to take a shortcut, I think the following two documents might help you do the paperwork:

https://wiki.ubuntu.com/StableReleaseUpdates
https://wiki.ubuntu.com/Kernel/Dev/StablePatchFormat

@David, thank you.

Martin Smith (martinb3) wrote :

This bug report says that the fix has been released for Lucid. I am in my second week of a brand new Optiplex 980, and I'm still having to run 'hda-verb /dev/snd/hwC0D0 0x1b 0x701 0' to get sound working. Am I missing something? I'm totally up to date on packages.

Marcus Paiva (mpaivac) wrote :

I ve done an update today: linux-alsa-driver-2.6.32-24.201009020500 and the sound stop working.

I am using this 1st page workaround:

=== Current workaround for Lucid ===

https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

======

birdflesh (birdflesh) wrote :

Can you post the output of "uname -r"
My guess is that you are using 2.6.32-25 which as of now doesn't have a corenponding linux-alsa-driver package yet.

Martin Smith (martinb3) wrote :

Here's mine:
Linux orc 2.6.32-24-generic #42-Ubuntu SMP Fri Aug 20 14:21:58 UTC 2010 x86_64 GNU/Linux

I have Lucid, too, and even with the latest updates I need to run hda-verb command to get my sound to work.

Marcus Paiva (mpaivac) wrote :

Hi,
after kernel update 2.6.32-25-generic, sound stopped working.
I was using
=== Current workaround for Lucid ===

https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

linux-alsa-2.6.32-24.201009130726

Now, only this solution is working:
David Henningsson wrote on 2010-07-30: #107
Okay, a new one to try for you: Uninstall the others, install http://people.canonical.com/~diwic/temp/alsa-intel-hda-optiplex-dkms_1.0.23_all.deb and reboot.

David Henningsson (diwic) wrote :

@Marcus: The alsa drivers in the ubuntu-audio-dev ppa are currently out of sync with the kernel, unfortunately. Hopefully it is fixed tomorrow.

That said, I was hoping that it would reach Lucid, but the lead time is long. I've just posted a patch to the kernel-team mailing list that I hope will speed it up a bit.

Please also note that kernel 2.6.32-25-generic is a proposed kernel, i.e not a tested and released update. It does not make sense to provide updated alsa driver modules for 2.6.32-25-generic just yet, because there is every chance that the kernel will be pulled from the proposed updates repository.

Luciano Panepucci (lpanebr) wrote :

I have a Dell Optiplex 980 and have the same issue with the front jacks not playing audio.

The David Henningsson HDA_Analyzer (setting the Active Audio Mixer to 0x0c) works BUT on PIN 0x21.
0x21 is:
Jack Type: HP Out
Location: Front

After restart the problem persist and I am just afraid to try the Patch File..

What should I do to get a Patch for Dell Optiplex 980?

Luciano Panepucci (lpanebr) wrote :

Sorry. Some comments where hidden and just now I found a the same bugreport for the 980.

shelly (josereece88) on 2010-10-06
Changed in alsa-driver (Ubuntu):
status: Fix Released → Fix Committed

NOt having much experience in fighting audio, I'm loosing the track of what's happening... Should I be seeing these dependency issues?

apt-get install pulseaudio/maverick-proposed
Reading package lists... Done
Building dependency tree
Reading state information... Done
Selected version '1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu21.1' (Ubuntu:10.10/maverick-proposed [amd64]) for 'pulseaudio'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
 pulseaudio : Depends: libpulse0 (= 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu21.1) but 1:0.9.22~git20100719-0ubuntu1~ppa2 is to be installed
E: Broken packages

My apologies. Please disregard comment #125 - posted by mistake in a wrong thread! Sorry!

Robert Hrovat (robi-hipnos) wrote :

Will 10.04 LTS get this fixed too? We have those computers at work and I have to be very careful when upgrading kernel that alsa modules are installed too.

David Henningsson (diwic) wrote :

There was a lucid-proposed kernel released yesterday. I believe the bug is fixed there, so can you please test the lucid-proposed to verify it? Thanks!

David Henningsson (diwic) wrote :

Fixed in "linux", marking "alsa-driver" as invalid.

Changed in alsa-driver (Ubuntu):
status: Fix Committed → Invalid
Displaying first 40 and last 40 comments. View all 129 comments or add a comment.